# =============================================================================
# Copyright (C) 2016-2022 Blue Brain Project
#
# See top-level LICENSE file for details.
# =============================================================================

# coreneuron-config.cmake - package configuration file

get_filename_component(CONFIG_PATH "${CMAKE_CURRENT_LIST_FILE}" PATH)

set(CORENRN_VERSION_MAJOR 9)
set(CORENRN_VERSION_MINOR 0)
set(CORENRN_VERSION_PATCH 0)
set(CORENRN_ENABLE_GPU ON)
set(CORENRN_ENABLE_NMODL OFF)
set(CORENRN_ENABLE_REPORTING OFF)
set(CORENRN_ENABLE_SHARED ON)
set(CORENRN_LIB_LINK_FLAGS "-cuda -gpu=cuda11.5,lineinfo,cc60,cc70,cc80 -acc -lcorenrnmech  -lcoreneuron-cuda -ldl")
set(CORENRN_NEURON_LINK_FLAGS "-cuda -gpu=cuda11.5,lineinfo,cc60,cc70,cc80 -acc")

find_path(CORENEURON_INCLUDE_DIR "coreneuron/coreneuron.h" HINTS "${CONFIG_PATH}/../../include")
find_path(
  CORENEURON_LIB_DIR
  NAMES libcorenrnmech.a libcorenrnmech.so libcorenrnmech.dylib
  HINTS "${CONFIG_PATH}/../../lib")

include(${CONFIG_PATH}/coreneuron.cmake)
